stages:
  - lint
  - publish
  - test

include: 
  - 'https://gitlab.com/avisi/ci/raw/master/.templates/docker.yaml'

variables:
  VERSION: '0.5.0'

docker:build-pr:
  extends: .docker:build-and-push
  stage: publish
  tags: [docker]
  except: [master, tags, /^release-.+/]

docker:build:
  extends: .docker:build-and-push-version
  variables:
    PUBLISH_LATEST_TAG: 'true'
  stage: publish
  only: [master, tags, /^release-.+/]
  tags: [docker]

container_scanning:
  stage: test
  extends: .container_scanning
  allow_failure: true

docker:lint:
  stage: lint
  extends: .docker:lint
  allow_failure: true
